aboutsummaryrefslogtreecommitdiff
path: root/package/pango
diff options
context:
space:
mode:
authorGravatar Peter Korsgaard <jacmet@sunsite.dk>2008-12-31 09:35:11 +0000
committerGravatar Peter Korsgaard <jacmet@sunsite.dk>2008-12-31 09:35:11 +0000
commite528d99d9667e999438abc3817d8bf417cdfb130 (patch)
tree0105bdc4d59343e795e6feb7d307ae856656cd1a /package/pango
parent85f10c757c4f74ad719895697d01ee6dea3e2653 (diff)
downloadbuildroot-e528d99d9667e999438abc3817d8bf417cdfb130.tar.gz
buildroot-e528d99d9667e999438abc3817d8bf417cdfb130.tar.bz2
pango: add init script to create /etc/pango/pango.modules
It would be nicer to do this at compile time, but then we would need to compile pango for the host as well.
Diffstat (limited to 'package/pango')
-rw-r--r--package/pango/S25pango19
-rw-r--r--package/pango/pango.mk4
2 files changed, 23 insertions, 0 deletions
diff --git a/package/pango/S25pango b/package/pango/S25pango
new file mode 100644
index 0000000000..b214bdc5ff
--- /dev/null
+++ b/package/pango/S25pango
@@ -0,0 +1,19 @@
+#! /bin/sh
+#
+# run pango-querymodules if needed
+
+FILE=/etc/pango/pango.modules
+
+case "$1" in
+ start|"")
+ if [ ! -f "$FILE" ] ; then
+ /usr/bin/pango-querymodules > "$FILE"
+ fi
+ ;;
+ stop)
+ ;;
+ *)
+ echo "Usage: $0 {start|stop}" >&2
+ exit 1
+ ;;
+esac
diff --git a/package/pango/pango.mk b/package/pango/pango.mk
index d1e4f28b96..9c7862e964 100644
--- a/package/pango/pango.mk
+++ b/package/pango/pango.mk
@@ -55,3 +55,7 @@ PANGO_CONF_OPT = --enable-shared --enable-static \
PANGO_DEPENDENCIES = uclibc gettext libintl pkgconfig libglib2 $(XSERVER) cairo
$(eval $(call AUTOTARGETS,package,pango))
+
+$(PANGO_HOOK_POST_INSTALL):
+ $(INSTALL) -m 755 package/pango/S25pango $(TARGET_DIR)/etc/init.d/
+ touch $@